# Uses of Class
org.apache.sysds.runtime.ooc.cache.io.OOCIOHandler.SourceBlockDescriptor

Packages that use OOCIOHandler.SourceBlockDescriptor
Package
Description
org.apache.sysds.runtime.ooc.cache
org.apache.sysds.runtime.ooc.cache.io
org.apache.sysds.runtime.ooc.cache.legacy
org.apache.sysds.runtime.ooc.stream

## Uses of OOCIOHandler.SourceBlockDescriptor in org.apache.sysds.runtime.ooc.cache

Methods in org.apache.sysds.runtime.ooc.cache with parameters of type OOCIOHandler.SourceBlockDescriptor
Modifier and Type
Method
Description
`static OOCStream.QueueCallback<IndexedMatrixValue>`
OOCCacheManager.`putAndPinRawSourceBacked(BlockKey key, Object data, long size, OOCIOHandler.SourceBlockDescriptor descriptor)`
`static OOCStream.QueueCallback<IndexedMatrixValue>`
OOCCacheManager.`putAndPinSourceBacked(long streamId, int blockId, IndexedMatrixValue value, OOCIOHandler.SourceBlockDescriptor descriptor)`
`static void`
OOCCacheManager.`putRawSourceBacked(BlockKey key, Object data, long size, OOCIOHandler.SourceBlockDescriptor descriptor)`
`static void`
OOCCacheManager.`putSourceBacked(long streamId, int blockId, IndexedMatrixValue value, OOCIOHandler.SourceBlockDescriptor descriptor)`
Store a source-backed block in the OOC cache and register its source location.

## Uses of OOCIOHandler.SourceBlockDescriptor in org.apache.sysds.runtime.ooc.cache.io

Subclasses of OOCIOHandler.SourceBlockDescriptor in org.apache.sysds.runtime.ooc.cache.io
Modifier and Type
Class
Description
`static class`
`OOCIOHandler.GroupSourceBlockDescriptor`
Fields in org.apache.sysds.runtime.ooc.cache.io with type parameters of type OOCIOHandler.SourceBlockDescriptor
Modifier and Type
Field
Description
`final List<OOCIOHandler.SourceBlockDescriptor>`
OOCIOHandler.GroupSourceBlockDescriptor.`blocks`
`final List<OOCIOHandler.SourceBlockDescriptor>`
OOCIOHandler.SourceReadResult.`blocks`
Methods in org.apache.sysds.runtime.ooc.cache.io with parameters of type OOCIOHandler.SourceBlockDescriptor
Modifier and Type
Method
Description
`void`
OOCIOHandler.`registerSourceLocation(BlockKey key, OOCIOHandler.SourceBlockDescriptor descriptor)`
Registers the source location of a block for future direct reads.
`void`
OOCMatrixIOHandler.`registerSourceLocation(BlockKey key, OOCIOHandler.SourceBlockDescriptor descriptor)`
Constructor parameters in org.apache.sysds.runtime.ooc.cache.io with type arguments of type OOCIOHandler.SourceBlockDescriptor
Modifier
Constructor
Description
``
`GroupSourceBlockDescriptor(String path, Types.FileFormat format, MatrixIndexes indexes, long offset, int recordLength, long serializedSize, List<OOCIOHandler.SourceBlockDescriptor> blocks)`
``
`SourceReadResult(long bytesRead, boolean eof, OOCIOHandler.SourceReadContinuation continuation, List<OOCIOHandler.SourceBlockDescriptor> blocks)`

## Uses of OOCIOHandler.SourceBlockDescriptor in org.apache.sysds.runtime.ooc.cache.legacy

Methods in org.apache.sysds.runtime.ooc.cache.legacy with parameters of type OOCIOHandler.SourceBlockDescriptor
Modifier and Type
Method
Description
`BlockEntry`
OOCCacheScheduler.`putAndPinSourceBacked(BlockKey key, Object data, long size, OOCIOHandler.SourceBlockDescriptor descriptor)`
Places a new source-backed block in the cache and returns a pinned handle.
`BlockEntry`
OOCLRUCacheScheduler.`putAndPinSourceBacked(BlockKey key, Object data, long size, OOCIOHandler.SourceBlockDescriptor descriptor)`
`void`
OOCCacheScheduler.`putSourceBacked(BlockKey key, Object data, long size, OOCIOHandler.SourceBlockDescriptor descriptor)`
Places a new source-backed block in the cache and registers the location with the IO handler.
`void`
OOCLRUCacheScheduler.`putSourceBacked(BlockKey key, Object data, long size, OOCIOHandler.SourceBlockDescriptor descriptor)`

## Uses of OOCIOHandler.SourceBlockDescriptor in org.apache.sysds.runtime.ooc.stream

Methods in org.apache.sysds.runtime.ooc.stream that return OOCIOHandler.SourceBlockDescriptor
Modifier and Type
Method
Description
`OOCIOHandler.SourceBlockDescriptor`
SourceOOCStream.`getDescriptor(MatrixIndexes indexes)`
Methods in org.apache.sysds.runtime.ooc.stream with parameters of type OOCIOHandler.SourceBlockDescriptor
Modifier and Type
Method
Description
`void`
SourceOOCStream.`enqueue(IndexedMatrixValue value, OOCIOHandler.SourceBlockDescriptor descriptor)`